Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class AbstractGeographicCode<N extends AbstractGeographicCode<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.base.phone.common.bean.AbstractGeographicCode<N>

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<N>`

Direct Known Subclasses:
  `CostMapItem`

    public class AbstractGeographicCode<N extends AbstractGeographicCode<N>>
    extends IdTitle
    implements TreeNode<N>

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.List<N>` | `children` |
  `protected java.lang.String` | `code` |
  `protected java.lang.String` | `prefix` |
  `protected java.lang.String[]` | `range` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AbstractGeographicCode()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addChild​(N child)` |
  `N` | `findCode​(java.lang.String code)` |
  `java.lang.Iterable<N>` | `findCodeIterator​(java.lang.String code)` |
  `N[]` | `findCodePath​(java.lang.String code)` |
  `java.util.List<N>` | `getChildren()` |
  `java.lang.String` | `getCode()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getDestination()` |
  `int` | `getDestinationId()` |
  `java.lang.String` | `getPrefix()` |
  `java.lang.String[]` | `getRange()` |
  `protected static boolean` | `matches​(java.lang.String code, AbstractGeographicCode<?> child)` |
  `void` | `setChildren​(java.util.List<N> children)` |
  `void` | `setCode​(java.lang.String code)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDestination​(java.lang.String destination)` |
  `void` | `setDestinationId​(int destinationId)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### code

    protected java.lang.String code

  - ### prefix

    protected java.lang.String prefix

  - ### range

    protected java.lang.String[] range

  - ### children

    protected java.util.List<N extends AbstractGeographicCode<N>> children

- ## Constructor Details

  - ### AbstractGeographicCode

    public AbstractGeographicCode()

- ## Method Details

  - ### getCode

    public java.lang.String getCode()

  - ### getPrefix

    public java.lang.String getPrefix()

  - ### getRange

    public java.lang.String[] getRange()

  - ### setCode

    public void setCode​(java.lang.String code)

  - ### getChildren

    public java.util.List<N> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<N extends AbstractGeographicCode<N>>`

  - ### setChildren

    public void setChildren​(java.util.List<N> children)

  - ### getDestinationId

    public int getDestinationId()

  - ### setDestinationId

    public void setDestinationId​(int destinationId)

  - ### getDestination

    public java.lang.String getDestination()

  - ### setDestination

    public void setDestination​(java.lang.String destination)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### addChild

    public void addChild​(N child)

  - ### findCode

    public N findCode​(java.lang.String code)

  - ### findCodeIterator

    public java.lang.Iterable<N> findCodeIterator​(java.lang.String code)

  - ### findCodePath

    public N[] findCodePath​(java.lang.String code)

  - ### matches

    protected static boolean matches​(java.lang.String code, AbstractGeographicCode<?> child)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`